/**
 * 调试信息级别
 */
export declare enum DebugLevelEnum {
    LOG = "log",
    WARN = "warn",
    ERROR = "error"
}
/**
 * 调试阶段枚举
 */
export declare enum DebugStageEnum {
    /** 发起请求前阶段 */
    BEFORE = "1 \u53D1\u8D77\u8BF7\u6C42\u524D\u9636\u6BB5",
    /** 发起请求前阶段出错 */
    BEFORE_ERROR = "1.1 \u53D1\u8D77\u8BF7\u6C42\u524D\u9636\u6BB5\u51FA\u9519",
    /** 发起请求前阶段-原始错误 */
    BEFORE_ERROR_ORIGIN = "1.1.1 \u53D1\u8D77\u8BF7\u6C42\u524D\u9636\u6BB5-\u539F\u59CB\u9519\u8BEF",
    /** 发起请求前阶段-包装后错误[数据结果不正确 需要保证最终得到的数据结构可控] */
    BEFORE_ERROR_PACK = "1.1.2 \u53D1\u8D77\u8BF7\u6C42\u524D\u9636\u6BB5-\u5305\u88C5\u540E\u9519\u8BEF",
    /** 网络阶段 */
    NETWORK = "2 \u7F51\u7EDC\u9636\u6BB5",
    /** 网络成功阶段 */
    NETWORK_SUCCESS = "2.1 \u7F51\u7EDC\u6210\u529F\u9636\u6BB5",
    /** 网路成功且业务成功 */
    NETWORK_SUCCESS_BUSINESS_SUCCESS = "2.1.1 \u7F51\u8DEF\u6210\u529F\u4E14\u4E1A\u52A1\u6210\u529F",
    /** 网络成功但业务失败 */
    NETWORK_SUCCESS_BUSINESS_FAIL = "2.1.2 \u7F51\u7EDC\u6210\u529F\u4F46\u4E1A\u52A1\u5931\u8D25",
    /** 网络成功但分发业务结果出错 */
    NETWORK_SUCCESS_DISPATCH_ERROR = "2.1.3 \u7F51\u7EDC\u6210\u529F\u4F46\u5206\u53D1\u4E1A\u52A1\u7ED3\u679C\u51FA\u9519",
    /** 网络出错阶段 */
    NETWORK_ERROR = "2.2 \u7F51\u7EDC\u51FA\u9519\u9636\u6BB5",
    /** 网络出错阶段出错 */
    NETWORK_ERROR_ORIGIN = "2.2.1 \u7F51\u7EDC\u51FA\u9519\u9636\u6BB5-\u539F\u59CB\u9519\u8BEF",
    NETWORK_ERROR_PACK = "2.2.2 \u7F51\u7EDC\u51FA\u9519\u9636\u6BB5-\u5305\u88C5\u540E\u9519\u8BEF",
    /** 处理错误阶段 */
    DEAL_ERROR = "3 \u5904\u7406\u9519\u8BEF\u9636\u6BB5",
    /** 处理错误阶段出错 */
    DEAL_ERROR_ERROR = "3.1 \u5904\u7406\u9519\u8BEF\u9636\u6BB5\u51FA\u9519",
    /** 处理错误结果 */
    DEAL_ERROR_RESULT = "3.2 \u5904\u7406\u9519\u8BEF\u7ED3\u679C",
    /** 处理错误结果-重新请求 */
    DEAL_ERROR_RESULT_RELOAD = "3.2.1 \u5904\u7406\u9519\u8BEF\u7ED3\u679C-\u91CD\u65B0\u8BF7\u6C42",
    /** 处理错误结果-正常抛错 */
    DEAL_ERROR_RESULT_CONTINUE = "3.2.2 \u5904\u7406\u9519\u8BEF\u7ED3\u679C-\u6B63\u5E38\u629B\u9519"
}
/**
 * 创建调试信息
 */
export declare const createDebugInfo: <M>({ stage, data, }: {
    stage: DebugStageEnum;
    data?: M | undefined;
}, level?: DebugLevelEnum) => void;
